Skip to main content
`Ctrl`+`K`

# MultipleTableCoordinate

class ndcube.extra_coords.MultipleTableCoordinate(*table_coordinates)

  Bases: `BaseTableCoordinate`

  A Holder for multiple `ndcube.extra_coords.BaseTableCoordinate` objects.

  This class allows the generation of a gWCS from many `BaseTableCoordinate` objects.

  Parameters:

    lookup_tables (`BaseTableCoordinate`) – One or more lookup table coordinate classes to combine into a gWCS object.

  Notes

  The most useful method of constructing a `LookupTableCoord` class is to combine multiple instances of `BaseTableCoordinate` with the `&` operator.

  Attributes Summary

  `dropped_world_dimensions` |
  `frame` | The gWCS coordinate frame for all the lookup tables.
  `model` | The combined astropy model for all the lookup tables.
  `n_inputs` | Number of pixel dimensions in this table.

  Methods Summary

  `interpolate`(new_array_grids, **kwargs) | Interpolate MultipleTableCoordinate to new array index grids.
  `is_scalar`() | Return a boolean if this coordinate is a scalar.

  Attributes Documentation

  dropped_world_dimensions
  frame

    The gWCS coordinate frame for all the lookup tables.

  model

    The combined astropy model for all the lookup tables.

  n_inputs

  Methods Documentation

  interpolate(new_array_grids, **kwargs)

    Interpolate MultipleTableCoordinate to new array index grids.

    Kwargs are passed to underlying interpolation function.

    Parameters:

      new_array_grids (array-like) – The array index values at which the the new values of the coords are desired. A grid must be supplied for each pixel axis (in array-axis order). All grids must be the same shape.

    Returns:

      new_coord – New TableCoordinate object holding the interpolated coords.

    Return type:

      `MultipleTableCoordinate`

  is_scalar()

    Return a boolean if this coordinate is a scalar.

    This is used by `MultipleTableCoordinate` and `ndcube.ExtraCoords` to know if the dimension has been “dropped”.